// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "scene/SceneItem.hpp"

namespace Dawn {
  class MeshRenderer : public SceneComponent {
    public:
      std::shared_ptr<Mesh> mesh;

      void onInit() override;
  };
}